- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# GenericFace Struct Reference

Search for all occurrences

## Detailed Description

Contains generic polygon representation.

Can contain all kind of faces from 3 to 16 sides, each item can have different side count.

Definition at line 98 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
unsigned int | GetSides (void)
| Returns the sidecount for a given face.
unsigned int | Adjacency (unsigned int i)
| Returns the ith adjacent for the given face.
unsigned int | TCI (unsigned int i)
| Returns the ith TC index for the face.
void | Serialize (Stream &s)
| Serializing.
const GenericFace & | operator= (const GenericFace &rhs)
| Copies the face values into another instance.
## Public Attributes
Store< unsigned int > | m_aIndices
Store< unsigned int > | m_aAdjacents
Store< unsigned int > | m_aTCIs

## Member Function Documentation

unsigned int GetSides | ( | void |  | ) | `[inline]`

Search for all occurrences

Returns the sidecount for a given face.

Definition at line 101 of file mesh.h.

    { return m_aIndices.ItemCount(); };

unsigned int Adjacency | ( | unsigned int | i | ) | `[inline]`

Search for all occurrences

Returns the ith adjacent for the given face.

Definition at line 103 of file mesh.h.

    { return m_aAdjacents[i]; };

unsigned int TCI | ( | unsigned int | i | ) | `[inline]`

Search for all occurrences

Returns the ith TC index for the face.

Definition at line 105 of file mesh.h.

    { return m_aTCIs[i]; };

void Serialize | ( | Stream & | s | ) | `[inline]`

Search for all occurrences

Serializing.

Definition at line 107 of file mesh.h.

        {
            m_aIndices.Serialize( s );
            m_aAdjacents.Serialize( s );
            m_aTCIs.Serialize( s );
        };

const GenericFace& operator= | ( | const GenericFace & | rhs | ) | `[inline]`

Copies the face values into another instance.

Definition at line 114 of file mesh.h.

        {
            rhs.m_aIndices.Copy(m_aIndices);
            rhs.m_aAdjacents.Copy(m_aAdjacents);
            rhs.m_aTCIs.Copy(m_aTCIs);
            return *this;
        }

## Member Data Documentation

Store<unsigned int> m_aIndices

Search for all occurrences

Definition at line 122 of file mesh.h.

Store<unsigned int> m_aAdjacents

Search for all occurrences

Definition at line 123 of file mesh.h.

Store<unsigned int> m_aTCIs

Search for all occurrences

Definition at line 124 of file mesh.h.

The documentation for this struct was generated from the following file:

- Mudbox/mesh.h